## UDisksLinuxBlock UDisksLinuxBlock — Linux implementation of UDisksBlock |

## Functions

UDisksBlock * | udisks_linux_block_new ()
void | udisks_linux_block_update ()

## Types and Values

| UDisksLinuxBlock

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksBlockSkeleton
                ╰── UDisksLinuxBlock

## Implemented Interfaces

UDisksLinuxBlock implements GDBusInterface and UDisksBlock.

## Description

This type provides an implementation of the UDisksBlock interface on Linux.

## Functions

### udisks_linux_block_new ()

    UDisksBlock *
    udisks_linux_block_new (void);

Creates a new UDisksLinuxBlock instance.

#### Returns

A new UDisksLinuxBlock. Free with `g_object_unref()`.

### udisks_linux_block_update ()

    void
    udisks_linux_block_update (UDisksLinuxBlock *block,
                               UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

block | A UDisksLinuxBlock. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxBlock

    typedef struct _UDisksLinuxBlock UDisksLinuxBlock;

The UDisksLinuxBlock structure contains only private data and should only be accessed using the provided API.